org.eclipse.actf.util.dom

## Interface DomPrintUtil.AttributeFilter

Enclosing class:
  DomPrintUtil

    public static interface DomPrintUtil.AttributeFilter

AttributeFilter defines the behavior of a filter that is used for converting attributes of each Element into String.

### Method Summary

Methods
`boolean` `acceptNode(Element element, Node attr)` Check whether a specified attribute is converted into String.

### Method Detail

#### acceptNode

    boolean acceptNode(Element element,
                     Node attr)

Check whether a specified attribute is converted into String.

Parameters:
  `element` - the target Element
  `attr` - the target attribute
Returns:
  true to print the attribute, false to ignore the attribute